{% load crispy_forms_tags %}
{% load crispy_forms_utils %}

<div class="card mb-3">
    <h5 class="card-header">{{ name }}</h5>
    <div class="card-body">
        {% for formset_error in formset.errors %}
            {% if formset_error.items|length > 0 %}
                <div class="alert alert-danger">
                    <h5 class="title">There are errors</h5>
                    <il>
                        {% for field, error in formset_error.items %}
                            {{ error }}
                        {% endfor %}
                    </il>
                </div>
            {% endif %}
        {% endfor %}
        {% include 'bootstrap4/whole_uni_formset.html' %}

        <script>
            $(function() {
                $('.{{ prefix }}').formset({
                    prefix: '{{ prefix }}',
                    addText: 'Add',
                    addCssClass: 'btn btn-info',
                    deleteText: '<i class = "fas fa-trash-alt" ></i>',
                    deleteCssClass: 'btn btn-danger',
                    deleteContainerClass: '{{ prefix }}_remove',
                    hideLastAddForm: true,
                });
            })
        </script>
    </div>
</div>
